#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  yelp-xsl-49.0

- Next

  Gjs-1.88.0

- Up
- Home

# geocode-glib-3.26.4

## Introduction to Geocode GLib

The Geocode GLib is a convenience library for the Yahoo! Place Finder APIs. The Place Finder web service allows you to do geocoding (finding longitude and latitude from an address), as well as reverse geocoding (finding an address from coordinates).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/geocode-glib/3.26/geocode-glib-3.26.4.tar.xz

- Download MD5 sum: 4c0dcdb7ee1222435b20acd3d7b68cd1

- Download size: 76 KB

- Estimated disk space required: 4.6 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### Geocode GLib Dependencies

#### Required

JSON-GLib-1.10.8 and libsoup-3.6.6

#### Recommended

GLib-2.88.0 (with GObject Introspection)

#### Optional

GTK-Doc-1.36.1

## Installation of Geocode GLib

Install Geocode GLib by running the following commands:

    mkdir build                   &&
    cd    build                   &&

    meson setup --prefix=/usr           \
                --buildtype=release     \
                -D enable-gtk-doc=false \
                -D soup2=false          \
                ..                      &&
    ninja

To test the results, issue: LANG=C ninja test. One test fails because it needs the `sv_SE.utf8` locale, which is not installed by default in LFS.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D enable-gtk-doc=false`: Allow this package to be built without GTK-Doc-1.36.1. Remove this parameter if GTK-Doc-1.36.1 is installed and you wish to rebuild and install the API documentation.

`-D soup2=false`: This switch forces this package to use libsoup-3 for HTTP requests instead of libsoup-2. The packages in BLFS that use geocode-glib now expect libsoup-3 to be used.

## Contents

Installed Programs: None
Installed Library: libgeocode-glib-2.so
Installed Directories: /usr/include/geocode-glib-2.0, /usr/libexec/installed-tests/geocode-glib, /usr/share/icons/gnome/scalable/places, and /usr/share/gtk-doc/html/geocode-glib

### Short Descriptions

`libgeocode-glib-2.so` | contains the Geocode GLib API functions

- Prev

  yelp-xsl-49.0

- Next

  Gjs-1.88.0

- Up
- Home